Summary:	A lightweight archiving/compression tool
Name:		xarchiver
Version:	0.5.2
Release:	%mkrel 15
License:	GPLv2
Group:		Archiving/Compression
URL:		http://xarchiver.xfce.org
Source0:	http://downloads.sourceforge.net/xarchiver/%{name}-%{version}.tar.bz2
Patch0:		xarchiver-0.5.2-format_not_a_string_literal_and_no_format_arguments.patch
Patch1:		xarchiver-0.5.2-mga-drag-n-drop_escaped_path.patch
Patch2:		xarchiver-0.5.2-fix_tar_support.patch
# Patch originally from Fedora (rediffed for our need):
Patch10:	xarchiver-0.5.2-add_xz_support.patch
# Patches from Fedora:
Patch51:	xarchiver-0.5.2-fix_7z_support.patch
Patch52:	xarchiver-0.5.2-rpm2cpio.patch
Patch53:	xarchiver-0.5.2-segfault-open-with.patch
# Patces from Arch:
Patch60:	xarchiver-0.5.2-xz-extract.patch

BuildRequires:	gtk+2-devel
BuildRequires:	desktop-file-utils
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
Requires:	binutils
Requires:	unzip
Requires:	zip
Suggests:	arj
Suggests:	p7zip
Suggests:	lha
Suggests:	unrar

%description
Xarchiver is a GTK+2 only frontend to 7z, zip, rar, tar, bzip2, gzip, arj,
lha, rpm and deb (open and extract only).Xarchiver allows you to create,
add, extract and delete files in the above formats. 7z, zip, rar, arj 
password protected archives are supported.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

# make the .desktop file compliant with xdg specs
desktop-file-install \
	--vendor="" \
	--remove-key="Encoding" \
	--remove-mime-type="multipart/x-zip" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/xarchiver.desktop

%files -f %{name}.lang
%doc %{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_libexecdir}/thunar-archive-plugin/xarchiver.tap
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/%{name}/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-15.mga3
+ Revision: 386505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 0.5.2-14.mga3
+ Revision: 338226
- fix file list after %%_libexecdir change

* Fri Dec 21 2012 guillomovitch <guillomovitch> 0.5.2-13.mga3
+ Revision: 333655
- own its documentation directory

* Sat Jul 07 2012 wally <wally> 0.5.2-12.mga3
+ Revision: 268629
- add patch to fix tar support (mga#6713)

* Sun Jul 01 2012 wally <wally> 0.5.2-11.mga3
+ Revision: 265947
- rediff xz support patch to get working xz support
- add xz exctract patch from Arch

* Sun Jun 24 2012 wally <wally> 0.5.2-10.mga3
+ Revision: 263147
- add patches from Fedora (xarchiver is pretty dead upstream, but it works most of time and now even more with Fedora patches)
  o xz support patch
  o fix 7z support patch
  o rpm2cpio fix patch
  o fix open with segfaulting patch

* Sat Jan 28 2012 tavvva <tavvva> 0.5.2-9.mga2
+ Revision: 202692
- fix for #4093 - extraction doesn't work when drag'n'drop target path contains spaces
- additionaly all characters which need to be escaped are now accepted without problems

* Mon Feb 07 2011 ahmad <ahmad> 0.5.2-8.mga1
+ Revision: 48700
- imported package xarchiver

